Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EnginePCSubscriptionControls

    java.lang.Object
      com.connecterra.ale.alevent.impl.EnginePCSubscriptionControls

All Implemented Interfaces:
  PCSubscriptionControls

public class EnginePCSubscriptionControls
extends java.lang.Object
implements PCSubscriptionControls

Constructor Summary
`EnginePCSubscriptionControls(int count, long interval)`

Method Summary
`int` | `getFailureLimitCount()` Returns the maximum number of failed notification deliveries before a subscription is unsubscribed.
`long` | `getFailureLimitInterval()` Returns the maximum interval of time in milliseconds notification delivery may fail before a subscription is unsubscribed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnginePCSubscriptionControls

    public EnginePCSubscriptionControls(int count,
                                        long interval)

Method Detail

### getFailureLimitCount

    public int getFailureLimitCount()

  Description copied from interface: `PCSubscriptionControls`
  Returns the maximum number of failed notification deliveries before a subscription is unsubscribed.

  Specified by:
    `getFailureLimitCount` in interface `PCSubscriptionControls`

### getFailureLimitInterval

    public long getFailureLimitInterval()

  Description copied from interface: `PCSubscriptionControls`
  Returns the maximum interval of time in milliseconds notification delivery may fail before a subscription is unsubscribed.

  Specified by:
    `getFailureLimitInterval` in interface `PCSubscriptionControls`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD